package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.OrderRepairDetail;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.OrderRepairDetailMapper")
public interface OrderRepairDetailMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(OrderRepairDetail record);

    OrderRepairDetail selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(OrderRepairDetail record);

    List<OrderRepairDetail> queryAllOrderRepairDetail(OrderRepairDetail record);

    List<OrderRepairDetail> queryOrderRepairDetailByPage(Map<String, Object> parameter);

    int delete(String id);

    OrderRepairDetail queryOrderRepairDetail(OrderRepairDetail record);

    List<OrderRepairDetail> query(OrderRepairDetail record);

    List<OrderRepairDetail> queryAllOrderRepairDetailExportRemark(OrderRepairDetail record);
}

